<?php

	ini_set('include_path', "../.." . PATH_SEPARATOR . get_include_path());
	include("comunes/funciones/funciones_generales.php");

	include("comunes/funciones/funciones_bases_de_datos.php");
	include("comunes/estructuras_de_datos.php");
	include("comunes/globals.php");
	$codigo = dame_valor_variable_global("codigo");
	$conexionBD = dame_valor_variable_global("conexionBD");
	

	$retorno = "ERROR";
	$cod_error = "";
	$objCatalogo = new Catalogo($codigo);
	//Borramos el fichero del directorio
	if( unlink("../../adjuntos/ficheros/" . $objCatalogo->ruta) ){
		
	}
	$sentencia_sql = "DELETE FROM catalogo WHERE codigo = $codigo";
	//echo($sentencia_sql);
	if ($conexionBD){
		if ($resultado = mysqli_query($conexionBD, $sentencia_sql)){
			$retorno = "CORRECTO";
		}
	}
	
	echo($retorno);

//Cuando todo haya pasado, nos desconectamos de la base de datos
cerrar_conexion_bd();


?>
